<?php



class TiposComisionMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TiposComisionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('TIPOS_COMISION');
		$tMap->setPhpName('TiposComision');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('TIPCOMI', 'Tipcomi', 'string', CreoleTypes::VARCHAR, true, 20);

		$tMap->addColumn('DESCOMI', 'Descomi', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('OBSERV', 'Observ', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DCOMI', 'Dcomi', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('VIATICOS', 'Viaticos', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('MANUTENCION', 'Manutencion', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('TAXIS', 'Taxis', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('OBJETOS', 'Objetos', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('DESTINOS', 'Destinos', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('FECHA_INI', 'FechaIni', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('FECHA_ANT', 'FechaAnt', 'string', CreoleTypes::CHAR, false, 1);

		$tMap->addColumn('CRUCE', 'Cruce', 'string', CreoleTypes::CHAR, false, 1);

	} 
} 